<div fxLayout="column" fxLayoutAlign="center center" class="login-wrapper">
  <h4>{{ 'MENU.TOP.AUTH.LOGIN_MAIL' | translate }}</h4>

  <form [formGroup]="loginForm" fxLayout="column" fxLayoutGap="12px" class="p8T" class="login-form">
    <mat-form-field class="m16T">
      <input matInput type="email" formControlName="email" required placeholder="{{ 'MENU.TOP.AUTH.EMAIL' | translate }}" #email />
      <mat-icon matSuffix class="primary-color input-icon">email</mat-icon>
      <mat-error>{{ 'MENU.TOP.AUTH.VALIDEMAIL' | translate }}</mat-error>
    </mat-form-field>

    <mat-form-field class="m0B">
      <input matInput type="password" formControlName="password" required placeholder="{{ 'MENU.TOP.AUTH.PASSWORD' | translate }}" #password />
      <mat-icon matSuffix class="primary-color input-icon">lock</mat-icon>
      <mat-error>{{ 'MENU.TOP.AUTH.PASSWORDREQUIRED' | translate }} </mat-error>
    </mat-form-field>

    <button mat-raised-button color="primary" type="submit" (click)="login(email.value, password.value)" [disabled]="loginForm.untouched || !loginForm.valid">
      {{ 'MENU.TOP.AUTH.LOGINBTN' | translate }}
    </button>

    <div fxLayout="row" fxLayoutGap="8px" fxLayoutAlign="center start">
      <button mat-button type="button" (click)="loadRegister()" class="mat-button-small">
        <mat-icon>person_add</mat-icon>
        {{ 'MENU.TOP.AUTH.NOACCOUNT' | translate }}
      </button>

      <button mat-button type="button" (click)="loadForgotPassword()" class="mat-button-small">
        <mat-icon>live_help</mat-icon>
        {{ 'MENU.TOP.AUTH.FORGOTPASSWORD' | translate }}
      </button>
    </div>
  </form>

  <div class="divider"><mat-divider></mat-divider></div>

  <h4>{{ 'MENU.TOP.AUTH.LOGIN_OAUTH' | translate }}</h4>
  <div fxLayout="row" fxLayoutGap="8px" class="m16T">
    <button type="button" mat-button (click)="loginWithGoogle()" color="primary">
      {{ 'MENU.TOP.AUTH.LOGINWITHGOOGLE' | translate }}
    </button>
    <!-- <button type="button" mat-button (click)="loginWithFacebook()">
      {{ 'MENU.TOP.AUTH.LOGINWITHFACEBOOK' | translate }}
    </button> -->
  </div>
</div>
